/* Copyright 2013 The Chromium Authors. All rights reserved.
 * Use of this source code is governed by a BSD-style license that can be
 * found in the LICENSE file. */

/* Controlled setting indicator and bubble. */

.controlled-setting-with-label input:disabled + span {
  color: #999;
}

.controlled-setting-indicator {
  margin-inline-end: 0.3em;
}

.controlled-setting-indicator:not([controlled-by]) {
  display: none;
}

.controlled-setting-indicator[controlled-by] > div {
  background-position: 50%;
  background-size: 18px;
}

.controlled-setting-indicator:-webkit-any([controlled-by='recommended'],
    [controlled-by='hasRecommendation']) > div,
    .controlled-setting-indicator[controlled-by='policy'] > div {
  background-image: url(../../../../../ui/webui/resources/images/business.svg);
}

.controlled-setting-indicator[controlled-by='owner'] > div {
  background-image: url(../../../../../ui/webui/resources/images/account_circle.svg);
}

.controlled-setting-indicator[controlled-by='extension'] > div {
  background-image: url(../../../../../ui/webui/resources/images/extension.svg);
}

<if expr="chromeos">
.controlled-setting-indicator[controlled-by='shared'] > div {
  background-image: url(../../../../../ui/webui/resources/images/group.svg);
}
</if>

.controlled-setting-indicator[controlled-by='child-custodian'] > div {
  background-image: url(../../../../../ui/webui/resources/images/account_child_invert.svg);
}

.controlled-setting-indicator[controlled-by='supervised-user-custodian'] > div {
  background-image: url(../../../../../ui/webui/resources/images/supervisor_account.svg);
}

.controlled-setting-bubble-action {
  padding: 0 !important;
}

.controlled-setting-bubble-header {
  margin-top: 3px;
}

.controlled-setting-bubble-content-row {
  height: 35px;
  position: relative;
}

.controlled-setting-bubble-extension-name {
  background-repeat: no-repeat;
  font-weight: bold;
  height: 24px;
  margin-top: -9px;
  overflow: hidden;
  padding-inline-start: 30px;
  padding-top: 3px;
  position: absolute;
  text-overflow: ellipsis;
  top: 50%;
  white-space: nowrap;
  width: 215px;
}

html[dir='rtl'] .controlled-setting-bubble-extension-name {
  background-position: right top;
}

.controlled-setting-bubble-extension-manage-link {
  margin-left: -0.35em;
  margin-top: -0.30em;
  position: absolute;
  top: 50%;
}

.controlled-setting-bubble-extension-disable-button {
  bottom: 0;
  position: absolute;
  right: 0;
}

html[dir='rtl'] .controlled-setting-bubble-extension-disable-button {
  left: 0;
  right: auto;
}
